<div class="box-tab">
    <ul class="nav nav-tabs">
        <li heading="travelPerson" ng-class="{active: status.isTab}" ng-click="switchTab(true)">
            <a>添加出差人员</a>
        </li>
        <li heading="invoice" ng-class="{active: !status.isTab }" ng-click="switchTab(false)">
            <a>添加发票信息</a>
        </li>
    </ul>
    <div class="tab-content">
        <div class="tab-pane active" ng-class="{active: status.isTab}">
            <form class="form-horizontal text-center" name="searchForm">
                <div class="form-group">
                    <div class="col-sm-5">
                        <input type="text" class="form-control" disable-valid-styling="true" placeholder="请输入姓名或手机号进行查询" ng-model="data.searchKeyword"/>
                    </div>
                    <div class="col-sm-1">
                        <button class="btn btn-info" type="submit" ng-click="api.searchEmp()">搜索</button>
                    </div>
                </div>
            </form>
            <div class="form-group" ng-class="{ 'hidden': status.addTravelPerson }">
                <button class="btn btn-info" type="submit" ng-click="isAddTravelPerson(true)">新增人员</button>
            </div>
            <form class="form-horizontal bordered-group" ng-submit="api.addTravelPerson(base)" role="form" novalidate="novalidate" 
            name="personForm" ng-class="{ 'hidden': !status.addTravelPerson }">
                <div class="form-group">
                    <label class="col-md-2 font-min-width control-label"><mark>*</mark>姓名</label>
                    <div class="col-md-5">
                        <input name="name" type="text" class="form-control" disable-valid-styling="true" ng-maxlength="15" required ng-model="base.name" />
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-2 font-min-width control-label"><mark>*</mark>证件</label>
                    <div class="col-md-5">
                        <select name="certificateType" disable-valid-styling="true" required class="layout-item form-control" go-new-dict="certificateType" ng-model="base.certificate.key">
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <i class="col-md-2 font-min-width"></i>
                    <div class="col-md-5">
                        <input type="text" name="code" class="form-control" disable-valid-styling="true" required maxlength="25" ng-pattern="status.CARD_REG" ng-pattern-err-type="card" ng-model="base.certificate.code">
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-2 font-min-width control-label">联系电话</label>
                    <div class="col-md-5">
                        <input name="mobile" type="text" disable-valid-styling="true" class="form-control" ng-model="base.mobile">
                    </div>
                </div>
                <div class="form-group text-center">
                    <button class="btn btn-info" type="submit">新增人员</button>
                    <button class="btn btn-default" type="button" ng-click="isAddTravelPerson(false)">取消</button>
                </div>
            </form>
            <table class="table table-bordered">
                <thead>
                    <tr class="active">
                        <th>选择</th>
                        <th>姓名</th>
                        <th>联系电话</th>
                        <th>证件类型</th>
                        <th>证件号码</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="employee in data.employeeList track by $index">
                        <th>
                            <pretty-checkbox ng-change="empSelect(employee)" label="''" ng-model="employee.$hasSelected"></pretty-checkbox>
                        </th>
                        <th scope="row">{{ employee.name }}</th>
                        <td>{{ employee.mobile }}</td>
                        <td>{{ employee.certificate.value }}</td>
                        <td>{{ employee.certificate.code }}</td>
                    </tr>
                </tbody>
            </table>
            <section class="text-center mb20">
                <pagination class="mt0 mb0" items-per-page="param.limit" total-items="param.total" ng-model="param.start" ng-change="api.empPageReload()"></pagination>
            </section>
            <div class="text-center">
                <button class="btn btn-info" type="submit" ng-click="next()">下一步</button>
                <button class="btn btn-default" type="button" ng-click="closeThisDialog()">取消</button>
            </div>
        </div>
        <div class="tab-pane" ng-class="{active: !status.isTab}">
            <form class="form-horizontal text-center">
                <div class="form-group">
                    <label class="control-label">发票抬头：</label>
                    <div class="col-sm-5">
                        <input type="text" disable-valid-styling="true" class="form-control" ng-model="invoiceHeader" />
                    </div>
                </div>
            </form>
            <div class="form-group" ng-class="{ 'hidden': status.addAddress }">
                <button class="btn btn-info" type="submit" ng-click="isAddAddress(true)">新增地址</button>
            </div>
            <form class="form-horizontal bordered-group" ng-submit="api.addAddress(address)" role="form" novalidate="novalidate" name="invoiceForm" ng-class="{ 'hidden': !status.addAddress }">
                <div class="form-group">
                    <label class="col-md-2 font-min-width control-label"><mark>*</mark>联系地址</label>
                    <div class="col-md-5">
                        <span area="address.area" detail="address.location" class="form-control" all-text="address.alltext" 
                        go-address-all>{{address.alltext}}</span>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-2 control-label"><mark>*</mark>收件人</label>
                    <div class="col-md-5">
                        <input type="text" class="form-control" name="receiver" disable-valid-styling="true" ng-model="address.receiver" required>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-2 control-label"><mark>*</mark>手机号码</label>
                    <div class="col-md-5">
                        <input name="mobile" type="text" class="form-control" ng-pattern="reg.MOBILE" ng-model="address.mobile" ng-pattern-err-type="mobile" required disable-valid-styling="true">
                    </div>
                </div>
                <div class="form-group text-center">
                    <button class="btn btn-info" type="submit">新增地址</button>
                    <button class="btn btn-default" type="button" ng-click="isAddAddress(false)">取消</button>
                </div>
            </form>
            <table class="table table-bordered">
                <thead>
                    <tr class="active">
                        <th>选择</th>
                        <th>收件人</th>
                        <th>联系电话</th>
                        <th>配送地址</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="address in data.adrSet | orderBy: '-address_id'">
                        <th>
                            <pretty-checkbox ng-change="addressSelect(address)" label="''" ng-model="address.$hasSelected"></pretty-checkbox>
                        </th>
                        <th scope="row">{{ address.receiver }}</th>
                        <td>{{ address.mobile }}</td>
                        <td>{{ address.alltext }}{{address.location}}</td>
                    </tr>
                </tbody>
            </table>
            <div class="text-center">
                <button class="btn btn-info" type="button" ng-click="api.save()">保存</button>
                <button class="btn btn-default" type="button" ng-click="closeThisDialog()">取消</button>
            </div>
        </div>
    </div>
</div>
